# Need to access symbols from the X Server and other dlopen'ed modules
%define _disable_ld_no_undefined 1

Name: x11-driver-video-vesa
Version: 2.3.2
Release: %mkrel 3
Summary: X.org driver for Generic VESA Cards
Group: System/X11
URL: http://xorg.freedesktop.org
Source: http://xorg.freedesktop.org/releases/individual/driver/xf86-video-vesa-%{version}.tar.bz2
License: MIT
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-server-devel >= 1.0.1
BuildRequires: x11-util-macros >= 1.0.1

Requires: x11-server-common %(xserver-sdk-abi-requires videodrv)

Obsoletes: x11-driver-video-vga
Obsoletes: x11-driver-video-vermilion

%description
x11-driver-video-vesa is the X.org driver for Generic VESA Cards.

%prep
%setup -q -n xf86-video-vesa-%{version}

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_libdir}/xorg/modules/drivers/vesa_drv.la
%{_libdir}/xorg/modules/drivers/vesa_drv.so
%{_mandir}/man4/vesa.4*




%changelog

* Mon Jan 14 2013 umeabot <umeabot> 2.3.2-3.mga3
+ Revision: 386038
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 tv <tv> 2.3.2-2.mga3
+ Revision: 288939
- rebuild for new xserver

* Mon Jul 23 2012 tv <tv> 2.3.2-1.mga3
+ Revision: 273755
- new release

* Wed Jun 06 2012 tmb <tmb> 2.3.1-3.mga3
+ Revision: 256511
- rebuild for core/release

* Fri Jun 01 2012 tv <tv> 2.3.1-2.mga3
+ Revision: 252971
- rebuild b/c of ia32 failure

* Wed May 30 2012 tv <tv> 2.3.1-1.mga3
+ Revision: 249789
- new release

* Tue Dec 06 2011 tmb <tmb> 2.3.0-9.mga2
+ Revision: 177485
- submit to core/release

* Sat Oct 08 2011 tv <tv> 2.3.0-8.mga2
+ Revision: 153307
- really rebuild for xserver-1.11

* Sat Oct 08 2011 tv <tv> 2.3.0-7.mga2
+ Revision: 153091
- rebuild for xserver-1.11

* Fri Mar 04 2011 tv <tv> 2.3.0-6.mga1
+ Revision: 64423
- rebuild for new xserver-1.10

* Sun Jan 23 2011 blino <blino> 2.3.0-5.mga1
+ Revision: 35272
- imported package x11-driver-video-vesa

